<?php

namespace Drupal\eca_entity_share_client\EventSubscriber;

use Drupal\eca\EventSubscriber\EcaBase;
use Drupal\eca_entity_share_client\Plugin\ECA\Event\EntityShareClientEvent;

/**
 * ECA event subscriber.
 */
class EcaEntityShare extends EcaBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (EntityShareClientEvent::definitions() as $definition) {
      $events[$definition['event_name']][] = ['onEvent'];
    }
    return $events;
  }

}
